/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.internal.ImagePreview");

dojo.require("net.jazz.ajax.ui.internal.HoverPopup");
dojo.require("dojo.i18n"); 
dojo.requireLocalization("net.jazz.ajax.ui.internal", "JAFMessages");

(function() {

var messages;

/*
 * A subclass of HoverPopup used to display a preview of an image.
 * 
 * Constructor args:
 * 	- src: the url of the image to preview.
 */

dojo.declare("net.jazz.ajax.ui.internal.ImagePreview", net.jazz.ajax.ui.internal.HoverPopup, {
	isImagePreview: true,
	repopulateDelay: -1,
	src: "",
	filename: "",
	
	constructor: function(args) {
		messages = dojo.i18n.getLocalization("net.jazz.ajax.ui.internal", "JAFMessages");
	},
	
	postCreate: function() {
		this.inherited(arguments);
		var div = document.createElement("div");
		var open = document.createElement("a");
		open.href = this.src;
		open.target = "_new";
		open.innerHTML = messages.open;
		div.appendChild(open);
		div.appendChild(document.createTextNode(" | " + this.filename));
		this._contentArea = document.createElement("div")
		this._contentArea.appendChild(document.createTextNode(messages.loadingGen));
		this.srcNodeRef.appendChild(div);
		this.srcNodeRef.appendChild(this._contentArea);
	},
	
	open: function() {
		if (this.preDisplayCheck && !this.preDisplayCheck())
			return;
		this.inherited(arguments);
		this._eventHandles.push(this.connect(dijit._masterTT.domNode, "onclick", "close"));
	},
	
	callback: function() {
		this._imageTag = document.createElement("img");
		this._imageTag.src = this.src;
		this.poll();
	},
	
	poll: function() {
		if (this._imageTag.complete) {
			var div = document.createElement("div");
			div.style.position = "absolute";
			div.style.visibility = "hidden";
			div.style.left = "-1000px";
			div.style.top = "0";
			div.appendChild(this._imageTag);
			document.body.appendChild(div);
			var width = div.clientWidth;
			var height = div.clientHeight;
			document.body.removeChild(div);
			div.removeChild(this._imageTag);
			this._contentArea.style.width = width + "px";
			this._contentArea.style.height = height + "px";
			while (this._contentArea.firstChild)
				this._contentArea.removeChild(this._contentArea.firstChild);
			this._contentArea.appendChild(this._imageTag);
			this.refresh();
		}
		else 
			setTimeout(dojo.hitch(this, this.poll), 200)
	}
});

})();