/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({	
	'limitHeader': "Limit",
	'limitHeaderInfo': "The largest number of Client Access Licenses that could ever be used on this server. This is the theoretical limit for this type, assuming that all possible purchases would be made.", 
	'includedHeader': "Included",
	'includedHeaderInfo': "The number of Client Access Licenses that are included with the key.", 
	'totalHeader': "Total",
	'totalHeaderInfo': "The number of Client Access Licenses managed by this server. The total is the sum of the number included and the number purchased.", 
	'trialHeader': "Trial",
	'trialHeaderInfo': "The number of Client Access Licenses that are available because the server is in trial mode.  If a server license was purchased, this number would be replaced with the actual number purchased.", 
	'purchasedHeader': "Purchased",
	'purchasedHeaderInfo': "The number of Client Access Licenses that have been purchased.", 
	'assignedHeader': "Assigned",
	'assignedHeaderInfo': "The number of Client Access Licenses that are currently assigned to users.", 
	'availableHeader': "Available",
	'availableHeaderInfo': "The number of Client Access Licenses that are currently available to be assigned to users.", 
	'usersHeader': "Users",
	'usersHeaderInfo': "The number of Client Access Licenses available to users for each key. For a Server License Key, this is the maximum users allowed on this server.",
	
	'floatLimitHeader': "Limit",
	'floatLimitHeaderInfo': "The largest number of Floating Client Access Licenses for this type that could ever be made available on this server. This is the theoretical limit for this type, assuming that all possible purchases would be made.", 
	'floatIncludedHeader': "Included",
	'floatIncludedHeaderInfo': "The number of Floating Client Access Licenses that are included with the key.", 
	'floatTotalHeader': "Total",
	'floatTotalHeaderInfo': "The number of Floating Client Access Licenses managed by this server. The total is the sum of the number included and the number purchased.", 
	'floatPurchasedHeader': "Purchased",
	'floatPurchasedHeaderInfo': "The number of Floating Client Access Licenses that have been purchased.", 
	
	'clientDescription': "Client Access Licenses permit users to perform a defined set of capabilities and manage user " + 
		"limits for the installed product.  Client Access Licenses are assigned and guaranteed to be available " +
		"for one individual.  Floating Client Access Licenses can be shared by multiple users who can individually " + 
		"acquire a license when they need it, if one is available.", 
		
	'noFloatingSupport': "Floating licenses are not enabled on this server. To add support for floating licenses, use the server \"Edit\" link to install a server license that allows floating licenses.",
				
	'refresh': "Refresh",
	'save': "Save", 
	'heading': "License Key Management",
	'hiddenMessage': "Messages go here!",
	'serverHeading': "Server Activation Key",
	'serverLicenseDescription': "The installed Server Activation key determines the enabled capabilities of Jazz Team Server.",
	'property': "Property",
	'value': "Value",
	'clientHeading': "Client Access License Types",
	'clientTableHeading': "Client Access License Types",
	'clientTableDescription': "Users on this server can be issued access to the following types of Client Access Licenses.  A user that has been assigned a Floating license type " + 
		"participates in a pool of users sharing the available Floating licenses of the same type that are installed on the license server.",
	'product': "Product",
	'edition': "Edition",
	'type': "Type",
	'status': "Status",
	'issued': "Issued",
	'overallFloatingHeading': "Configure Floating License Server",
	'floatingHeading': "Floating License Server",
	

	'floatingDescription': "Once Floating Client Access License Activation keys are installed, this server acts as a floating license server.  " + 
			"Floating Client Access Licenses can be shared by multiple users on this server or other servers and acquired when needed if a copy of that license is available." +			
			"Servers can gain access to these floating licenses by specifying this server using the \"Connect\" link under the Server Activation Key section.  " + 
			"Users must be issued access to one of the installed floating license types in " +
			"order to participate in the pool of users sharing the available floating licenses of that type.", 
			
	'serverTabLabel': "Server & Client Access",
	'floatingTabLabel': "Floating License Server", 
	'refreshDirty': "Refreshing will result in losing your changes. Continue?",
	'floatingUploadWarning': "You have uploaded a floating license.  Go to the ${0}Floating License Server${1} tab to preview your changes.",
	'convertToFloatingWarning': "You have uploaded a floating license.  Saving the changes will convert this server into a floating license server.",
	'loadingLicenseInfo': "Loading license information", 
	'savingLicenseInfo': "Saving license information...", 
	'saveComplete': "Save complete", 
	'saveError': "A problem occurred and the license configuration was not saved", 
	'calTypelabel': "Client Access License Activation key",
	'serverTypelabel': "Server Activation key",
	'floatingTypelabel': "Floating Client Access License Activation key",		
	'uploadFormLabel': "Upload License Activation key: ",
	'uploadingFile': "Uploading file", 
	'unlimited': "-", 
	'notApplicable': "", 
	'deactivatedReason': "Deactivated (${0})", 
	'activated': "Activated", 
	'activateText': "Activate...",
	'acquiredLinkLabel': "${0} Acquired Floating", 
	'assignedLinkLabel': "${0} Assigned", 
	'noFloatSupport': "The new server license does not support floating licenses.  If the license changes are saved, the active floating leases will be terminated.", 
	'noFloatMismatch': "The new server license does not support floating CALs and that causes some changes to the existing license configuration.  Please review the contents of this page before saving.",
	'serverProduct': "Product", 
	'serverEdition': "Edition", 
	'serverDescription': "Description", 
	'maximumUsers': "Maximum Users", 
	'countedUsers': "Users with Counted Licenses",
	'serverStatus': "Status", 
	'permanent': "Permanent", 
	'expiredTrial': "Expired Trial", 
	'trial': "Trial", 
	'expiredOn': "Expired On",
	'expiresOn': "Expires On", 
	'serverError': "There was a problem communicating with the server", 
	'serverUnreachable': " (Server not reachable)",

	'validating': "Validating license information", 
	'pendingCalDeactivation': "Client Access Type '${0}' will be deactivated. See 'Client Access Licenses Activation Keys' section for more information.",
	'purchaseCountError': "Please fix the problems with the Client Access License Activation Keys purchase counts below",
	'serverLicenseError': "There is a problem with the server license.  Resolve the issue described in the status section below to continue.",
	'successfulUpload': "Successfully uploaded License Activation key",
	'errorUpload': "Error uploading License Activation key: ",
	'viewIssued': "View Issued",
	'invalidCount': "The purchase count for this key must be a number between 0 and ${0}" ,
	
	'step1Title' : "Upload License Files",
	'step2Title' : "Connect To Floating License Server",
	'editFloatTitle' : "Configure Floating License Server",
	'editCALTitle' : "Configure Client Access License Types",
	
	'edit': "Edit",
	'add': "Add...",
	
	'pendingChangesInfo': "Upload another license key or click Finish to save.",
	'pendingChangesEditMode':"Click the Finish button to save pending changes.",
	'cancelWizard': "Are you sure you want to exit this wizard? Any changes made will be lost. Click Cancel to continue working or OK to exit.",
	'confirmDelete': "Are you sure you want to remove this key? If removed, it will not be uploaded.",
		
	'enterNumberCALS' : "Please enter the number of licenses purchased",
	'uploadedSoFar' : "Pending License Key Uploads",
	'uploadAnotherButton' : "Upload Another Key",
	'wizardUpload': "Upload License File",
	
	'uploadTips': "Use the upload form below to add License keys to this server. You may upload multiple keys before exiting this wizard. These changes can be modified later if needed.",
	'configFloatingStepTitle': "Connect to Floating License Server",  
	'configFloatingdescription': "Configure this server to connect to a floating license server.  Provide the URI of a floating license server to gain access to floating licenses on that server.", 
	'configFloatingHelp': "Floating Client Access Licenses can be shared by multiple users who can individually acquire a license when they need it, if a copy of that license is available on the license server.  Provide the URI of a floating license server to gain access to floating licenses on that server. The floating licenses can then be acquired by users on this server.",
	'configFloatingBlockLabel': "Provide the License Server URI to access floating licenses:",
	'floatingLicType': "This is a Floating license type, available to a pool of users.",
	'setFloatingServerURL': "Yes, I want to allow users on this server to be able to acquire the floating licenses on this license server.",
	'floatingConnectOption': "Configure floating capabilities of this server",
	'noRowsYet': "Currently, no pending license keys have been uploaded. Click Browse to upload a key.",
	'noKeysToEdit': "Currently, there are no license keys to edit. Click Finish and first upload a key.",
	'noCALsYet': "Currently, no license keys have been uploaded. Click Add... to upload a key.",
	
	'removeKey' : "Remove this license key from pending uploads.",
	'connectText': "Connect...",
	'modifyLink': "Modify...",
	'floatingServer': "Floating License Server",
	'configuredClient': "Connected to license server at ${0}.",
	'configuredServer': "This server is a Floating License Server (${0} Floating License types installed).",
	'configuredServerOne': "This server is a Floating License Server (${0} Floating License type installed).",
	'notConfiguredClient': "Not connected to a Floating License server.",
	'notConfiguredServer': "This server is not a Floating License Server (0 Floating License types installed).",
	'licenseServerError': "There was an error communicating with that license server: ",
	'multipleWarnings': "${0} warnings have occurred.",
	'multipleErrors': "${0} errors have occurred.",
	
	'defaultWizardHeader': "Set Default Client Access License Key" ,
	'setDefault': "Set Default...",
	'pickDefaultLicense': "Please choose a default license key:",
	'noDefault': "None"
	
	

})