/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.repository.web.ui.wizard.WizardStepList");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

var checkNotEmpty = net.jazz.ajax.toolbox.lang.checkNotEmpty;

function getStepLink(stepTitle, index, step) {
	checkNotEmpty(stepTitle, "stepTitle");
	
	var aElement = document.createElement("a");
	aElement.innerHTML = "<span class=\"number\">" + index + "</span><span class=\"sectionLabel\">" + stepTitle +"</span>";;
	dojo.connect(aElement, 'onclick', step, 'trySelect');	
	return aElement;
}

function getStepInactiveLink(stepTitle, index) {
	checkNotEmpty(stepTitle, "stepTitle");
	
	var divElement = document.createElement("div");
	divElement.className = "inactiveStep";
	divElement.innerHTML = "<span class=\"number\">" + index + "</span><span class=\"sectionLabel\">" + stepTitle + "</span>";;
	
	return divElement;
}

dojo.declare("com.ibm.team.repository.web.ui.wizard.WizardStepList", [dijit._Widget, dijit._Templated], {

	templateString: "<div dojoAttachPoint=\"_wizardStepsWrapper\" class=\"wizardStepsWrapper dialogOnly\"><div dojoAttachPoint=\"wizardSteps\" class=\"wizardSteps\"></div></div>",
	
	addStep: function(step){
		var index = this.wizardSteps.childNodes.length + 1;
		var stepSummary;
		if (step.enabled) {
			stepSummary = getStepLink(step.stepTitle, index, step);
		} else {
			stepSummary = getStepInactiveLink(step.stepTitle, index);
		}
		stepSummary.position = step.position;
		this.wizardSteps.appendChild(stepSummary);
	}, 
	
	enableStep: function (step) {
		var steps = this.wizardSteps.getElementsByTagName("DIV");
		var oldStep;
		for (var i=0; i < steps.length; i++) {
		 	if (steps[i].position === step.position) {
				oldStep = steps[i];
				break;			
			}		
		}
		var newStep = getStepLink(step.stepTitle, step.position, step);
		newStep.position = step.position;
		oldStep.parentNode.replaceChild(newStep, oldStep);
		step.enabled = true;
	},
	
	selectStep: function(step) {
		if (!step.enabled) {
			this.enableStep(step);
		}
		var allLinks = this.wizardSteps.getElementsByTagName("A");
		for( var i = 0; i < allLinks.length; i++) {
			if (step.position === allLinks[i].position) {
				allLinks[i].className = "selected";
			} else {
				allLinks[i].className = "";
			} 
		}
	}
	
	
});

var WizardStepList = com.ibm.team.repository.web.ui.wizard.WizardStepList;

})();